Package com.xebialabs.xlrelease.domain.udm.reporting

## Enum DeploymentStatus

- java.lang.Object
- - java.lang.Enum<DeploymentStatus>
  - - com.xebialabs.xlrelease.domain.udm.reporting.DeploymentStatus

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<DeploymentStatus>`

      public enum DeploymentStatus
      extends java.lang.Enum<DeploymentStatus>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ABORTED` |
    `COMPLETED` |
    `FAILED` |
    `IN_PROGRESS` |
    `PLANNED` |
    `SKIPPED` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static DeploymentStatus` | `find​(java.lang.String value)` |
    `java.lang.String` | `value()` |
    `static DeploymentStatus` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static DeploymentStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PLANNED

          public static final DeploymentStatus PLANNED

    - #### IN_PROGRESS

          public static final DeploymentStatus IN_PROGRESS

    - #### COMPLETED

          public static final DeploymentStatus COMPLETED

    - #### SKIPPED

          public static final DeploymentStatus SKIPPED

    - #### FAILED

          public static final DeploymentStatus FAILED

    - #### ABORTED

          public static final DeploymentStatus ABORTED

  - ### Method Detail

    - #### values

          public static DeploymentStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DeploymentStatus c : DeploymentStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DeploymentStatus valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### value

          public java.lang.String value()

    - #### find

          public static DeploymentStatus find​(java.lang.String value)